Python

[email protected] ~ $ apt policy gnome-control-center
Error processing line 1 of /usr/lib/python3/dist-packages/matplotlib-1.5.1-nspkg.pth:

Failed to import the site module
Traceback (most recent call last):
File “/usr/lib/python3.5/site.py”, line 173, in addpackage
exec(line)
File “”, line 1, in
File “/usr/lib/python3.5/types.py”, line 166, in
import functools as _functools
File “/usr/lib/python3.5/functools.py”, line 21, in
from collections import namedtuple
ImportError: cannot import name ‘namedtuple’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3.5/site.py”, line 580, in
main()
File “/usr/lib/python3.5/site.py”, line 567, in main
known_paths = addsitepackages(known_paths)
File “/usr/lib/python3.5/site.py”, line 344, in addsitepackages
addsitedir(sitedir, known_paths)
File “/usr/lib/python3.5/site.py”, line 212, in addsitedir
addpackage(sitedir, name, known_paths)
File “/usr/lib/python3.5/site.py”, line 183, in addpackage
import traceback
File “/usr/lib/python3.5/traceback.py”, line 5, in
import linecache
File “/usr/lib/python3.5/linecache.py”, line 8, in
import functools
File “/usr/lib/python3.5/functools.py”, line 21, in
from collections import namedtuple
ImportError: cannot import name ‘namedtuple’

Ne razumem u čemu je problem ?

sadržaj matplotlib-1.5.1-nspkg.pth :

import sys, types, os;p = os.path.join(sys._getframe(1).f_locals[‘sitedir’], *(‘mpl_toolkits’,));ie = os.path.exists(os.path.join(p,‘init.py’));m = not ie and sys.modules.setdefault(‘mpl_toolkits’, types.ModuleType(‘mpl_toolkits’));mp = (m or []) and m.dict.setdefault(‘path’,[]);(p not in mp) and mp.append§